Package org.apache.lucene.demo

## Class IndexFiles

- java.lang.Object
- - org.apache.lucene.demo.IndexFiles

- All Implemented Interfaces:
    `AutoCloseable`

      public class IndexFiles
      extends Object
      implements AutoCloseable

  Index all text files under a directory.

  This is a command-line application demonstrating simple Lucene indexing. Run it with no command-line arguments for usage information.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `static void` | `main​(String[] args)` | Index all text files under a directory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Index all text files under a directory.
      Throws:
        `Exception`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`